Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.util
Class FastList.Node<E>

    java.lang.Object
      javolution.util.FastList.Node<E>

All Implemented Interfaces:
  java.io.Serializable, FastCollection.Record

Enclosing class:
  FastList<E>

    public static class FastList.Node<E>

extends java.lang.Object
implements FastCollection.Record, java.io.Serializable

This class represents a `FastList` node; it allows for direct iteration over the list `values`. Custom `FastList` may use a derived implementation. For example:``

        static class MyList<E,X> extends FastList<E> {
            protected MyNode newNode() {
                return new MyNode();
            }
            class MyNode extends Node<E> {
                X xxx; // Additional node field (e.g. cross references).
            }
        }

See Also:
  Serialized Form

Constructor Summary
`protected` | `FastList.Node()` Default constructor.

Method Summary
`FastList.Node<E>` | `getNext()` Returns the record after this one.
`FastList.Node<E>` | `getPrevious()` Returns the record before this one.
`E` | `getValue()` Returns the value for this node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastList.Node

    protected FastList.Node()

  Default constructor.

Method Detail

### getValue

    public final E getValue()

  Returns the value for this node.

  Returns:
    the node value.

### getNext

    public final FastList.Node<E> getNext()

  Description copied from interface: `FastCollection.Record`
  Returns the record after this one.

  Specified by:
    `getNext` in interface `FastCollection.Record`
  Returns:
    the next record.

### getPrevious

    public final FastList.Node<E> getPrevious()

  Description copied from interface: `FastCollection.Record`
  Returns the record before this one.

  Specified by:
    `getPrevious` in interface `FastCollection.Record`
  Returns:
    the previous record.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2009 Javolution.